Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Verifying that info on FAQ page of wiki is accurate WRT jruby master and JDK9-11 #5742

Open
guyboertje opened this issue May 22, 2019 · 1 comment

Comments

Projects
None yet
2 participants
@guyboertje
Copy link

commented May 22, 2019

Logstash engineer here and owner of the jdbc* plugins. We have had some problems with loading drivers recently (fixed now but not released).

Please confirm that the info on the FAQ wiki page is correct with respect to versions 9.2.6.0+ and JDK 9,10,11.

I'm especially interested in the sections "How can I load a ResourceBundle from the Rails config directory ?" and "Why do I get ClassNotFoundException when I call java.lang.Class.forName from Ruby?"

Not the Rails bit obviously, but the appending to the $CLASSPATH - does JRuby have a utility to prefix the file or folder correctly and check that it exists?

@headius

This comment has been minimized.

Copy link
Member

commented May 28, 2019

@guyboertje Perhaps your issues would be helped by a change to the launch script we made in 20e4278? We were mistakenly putting everything in $CLASSPATH into the module path which appears to have some odd impacts on loading.

@headius headius added this to the JRuby 9.2.8.0 milestone May 28, 2019

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.